2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDeveloperExtensions.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Commands.cs:
	* MonoSolutionItemHandler.cs:
	* MonoDeveloperExtensions.csproj:
	* MonoDeveloperExtensions.addin.xml: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.csproj: Flush.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoSolutionItemHandler.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoMakefileFormat.cs: Use the new DotNetAssemblyProject
	  class instead of DotNetProject, which is now abstract.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoMakefileFormat.cs: Use the new FilePath class for
	  handling file and directory paths.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDeveloperExtensions.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.addin.xml: Track merge of the
	  project pad context menu.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDeveloperExtensions.csproj: Make implicit references
	  explicit. Csc is much pickier about these.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.csproj: Flush.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.mds:
	* MonoDeveloperExtensions.mdp:
	* MonoDeveloperExtensions.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDeveloperExtensions.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* NUnit/NUnit.mdp:
	* MonoDeveloperExtensions.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoMakefileFormat.cs: Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* NUnit/Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoSolutionItemHandler.cs: Track API.

2008-09-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoSolutionItemHandler.cs: Ignore compiler messages which are not
	  errors or warnings. Fixes bug #393621.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* NUnit/NUnit.mdp, MonoDeveloperExtensions.mdp: Updated generated code.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs: Track api changes.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs: Avoid re-initializing the project handler for
	  projects already created with the Mono format.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoSolutionItemHandler.cs: Fix warning.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs: Track api changes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Merged the extension points for
	  project and solution option panels into a single extension point. A
	  single extension point will now be used for all kinds of items.
	  Extension conditions can be used to make panels visible only for
	  some specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoSolutionItemHandler.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.mds, MonoMakefileFormat.cs, Commands.cs,
	  MonoSolutionItemHandler.cs, Makefile.am,
	  MonoDeveloperExtensions.addin.xml, NUnit/MonoTestProvider.cs,
	  MonoDeveloperExtensions.mdp: New project model changes.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.mdp: Removed unneeded dependencies.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* Makefile.am, MonoDeveloperExtensions.mdp: Removed some unused glade and
	  gnome-sharp references (only the unused). But I'll continue to remove
	  glade, we need to lower the dependency tree a bit.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Updated add-in category and
	  description.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, NUnit/NUnit.mdp, MonoDeveloperExtensions.mdp: Directory
	  reorganization.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoProject.cs: Use RootCombine instead of CurrentOpenCombine when
	  possible.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.mds, MonoDeveloperExtensions.mdp, NUnit/NUnit.mdp:
	  Project file names updated by change in MD path functions.

2007-10-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoProject.cs, MonoProjectConfiguration.cs: MonoProject now is a subclass
	  of DotNetProject. Project export to VS format now works.

2007-10-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs, MonoProject.cs: Make sure the .sources file is
	  included when exporting the project.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Bump MD version.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDeveloperExtensions.addin.xml,
	  MonoDeveloperExtensions.mdp, NUnit/Makefile.am: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* Commands.cs: Converted DispatchService to a static class.

2007-06-19  Ankit Jain  <jankit@novell.com>

	Fix bug#81901.
	* MonoProject.cs (AddSourceFile): Use File.* for file operations
	instead of FileService.
	(RemoveSourceFile): Likewise.

2007-05-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Removed MS namespace from add-in
	  dependency.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.mdp: Copy the .addins.xml file to the output
	  dir.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDeveloperExtensions.mdp: Reference shared assemblies
	  from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDeveloperExtensions.addin.xml,
	  MonoDeveloperExtensions.mdp: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs: Track api changes.
	* MonoDeveloperExtensions.mdp: Updated.

2007-03-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoMakefileFormat.cs: Save MonoProject and MonoCombine objects only.
	* MonoDeveloperExtensions.mdp, NUnit/NUnit.mdp: Disable local-copy
	  references.

2007-03-08  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MonoTestProvider.cs: Removing as it was already moved to separate
	assembly.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* NUnit/NUnit.mdp: Set target runtime to 2.0.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDeveloperExtensions.mdp, NUnit/Makefile.am,
	  NUnit/NUnit.mdp: Synchronized MD project and makefile.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Removed version auto-increment.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.mds, MonoDeveloperExtensions.mdp,
	  NUnit/NUnit.mdp: Updated.
	* MonoProject.cs: Track api changes.

2007-02-06  Ankit Jain  <jankit@novell.com>

	* Commands.cs: Remove all svn commands. We have svn integrated now.
	* MonoDeveloperExtensions.addin.xml: Likewise.

2007-02-06  Ankit Jain  <jankit@novell.com>

	* MonoProject.cs (OnClean): Override.

2006-02-02 David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoDeveloperExtensions.addin.xml: replaced icon for install command by gtk+ 2.4 stock icon
	
2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoProject.cs: Use the FileService for copying and deleting files.

2006-12-07 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDeveloperExtensions.mdp: Updated so it can
	be built from MonoDevelop.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* NUnit: Added svn:ignore for MonoDeveloperExtensions_nunit.pidb

2006-08-22 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoCombine.cs:
	* MonoProject.cs: Track api changes.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Updated versions.
	* MonoDeveloperExtensions.mdp: Updated.

2006-06-29  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoProject.cs: Implement SupportedLanguages, to filter file templates.

2006-05-31 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoProject.cs: Removed dependency to NUnit add-in.
	* Makefile.am: Removed dependency to NUnit add-in. Added the
	  new nunit module to the build.
	
	* MonoDeveloperExtensions.addin.xml: Added optional module which
	  extends the nunit add-in.
	  
	* NUnit/MonoTestProvider.cs: 
	* NUnit/Makefile.am: 
	* NUnit/NUnit.mdp: Created a new assembly which implements the nunit
	  extension for Mono projects.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.addin.xml: Updated versions.
	* MonoDeveloperExtensions.mdp: Updated.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Updated references.

2006-03-26 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDeveloperExtensions/MonoMakefileFormat.cs: Include 2.0
	  directories in the solution. Patch by Marek Sieradzki.

2006-03-29 Grzegorz Sobanski  <silk@boktor.net>  

	* Makefile.am: removed unneeded references to nunit.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDeveloperExtensions.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* MonoDeveloperExtensions.addin.xml: Updated add-in versions.

2006-02-08 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoMakefileFormat.cs: Track changes in Makefile format, again.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoMakefileFormat.cs: Track changes in Makefile format.

2005-10-19  Lluis Sanchez Gual  <lluis@novell.com> 

	* Commands.cs: Always open documents in the GUI thread.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDeveloperExtensions.addin.xml: Added addin dependencies.

2005-09-22  Lluis Sanchez Gual  <lluis@novell.com>

	 * MonoProject.cs: Use the new regex for parsing error messages.
	 * Commands.cs: Use an external console for the ci command.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDeveloperExtensions.mdp: references update

2005-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions/Commands.cs:
	* MonoDeveloperExtensions/MonoProject.cs: Track api changes.

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoMakefileFormat.cs: Avoid adding projects twice.
	* MonoProject.cs: 
	* MonoTestProvider.cs: Generate a unit test tree for assemblies that
	have a Test directory.
	* Makefile.am: Added conditional build.
	* MonoDeveloperExtensions.addin.xml: This addin depends on the nunit addin.

2005-07-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoProject.cs: Implemented CreateConfiguration method.
	* MonoDeveloperExtensions.addin.xml: Added install command
	  to the correct toolbar.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDeveloperExtensions.addin.xml:
	* Commands.cs: Use the new command service. Added hacky support for
	basic svn operations.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-04-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoProject.cs: Look for ChangeLog files in a more rational 
	(and faster) way.

2005-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoProject.cs: Update the sources file when files are renamed.
	Don't add the ChangeLog file to the project for now, it's too slow
	to look for it.

2005-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoProject.cs: Don't try to parse errors from the stdout, only
	from stderr.
	* MonoMakefileFormat.cs: In GetValidFormatName, keep the file path.

